<?php
   class Image
   {
       static function Resize($source, $dest, $width, $height)
       {
           $size = getimagesize($source);
           $real_width = $size[0];
           $real_height = $size[1];
           
           $kW = $real_width / $width;
           $kH = $real_height / $height;
           
           if ($kW > $kH) $kMin = $kH; else $kMin = $kW;
           
           $newW = round($real_width / $kMin);
           $newH = round($real_height / $kMin);
           $dW = (abs($newW - $width)/2);
           $dH = (abs($newH - $height)/2);           
           
           $srcImg = imagecreatefrompng($source);           
           $newImg = imagecreatetruecolor($width, $height);
           imagecopyresampled($newImg, $srcImg, 0, 0, $dW * $kMin, $dH * $kMin, $width, $height, $width * $kMin, $height * $kMin);
           
           imagejpeg($newImg, $dest, 90);
           imagedestroy($srcImg);
           imagedestroy($newImg);            
                                  
       }
   }
?>
